Axis2/C: soap fault text

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap fault text
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_text_t * | axiom_soap_fault_text_create_with_parent (const axutil_env_t *env, axiom_soap_fault_reason_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_text_free (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_text_set_lang (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env, const axis2_char_t *lang)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_text_get_lang (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_text_get_base_node (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_text_set_text (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env, axis2_char_t *value, axis2_char_t *lang)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_text_get_text (axiom_soap_fault_text_t *fault_text, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_text_t* axiom_soap_fault_text_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_reason_t * | fault |
| ) |  |  |

creates a soap fault struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | fault | the SOAP fault reason

Returns:
  Created SOAP fault text

AXIS2_EXTERN void axiom_soap_fault_text_free | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_text

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_text_get_base_node | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the SOAP fault text

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL

Returns:
  the base node of the SOAP fault text

AXIS2_EXTERN axis2_char_t* axiom_soap_fault_text_get_lang | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the lang of the SOAP fault

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL

Returns:
  the lang of the SOAP fault

AXIS2_EXTERN axis2_char_t* axiom_soap_fault_text_get_text | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env |
| ) |  |  |

get the SOAP fault text

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL

Returns:
  the Text of the SOAP fault

AXIS2_EXTERN axis2_status_t axiom_soap_fault_text_set_lang | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | lang |
| ) |  |  |

Set the lang of the SOAP fault text

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL
  | lang | the string to be set

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_fault_text_set_text | ( | axiom_soap_fault_text_t * | fault_text,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value,
|  | axis2_char_t * | lang |
| ) |  |  |

Set the SOAP fault text

Parameters:

  | fault_text | pointer to soap_fault_text struct
  | env | Environment. MUST NOT be NULL
  | value | the text value
  | lang | string to be compared

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE